%define oname   mechanize

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 1
Summary:    The Mechanize library is used for automating interaction with websites
License:    MIT
Group:      Development/Ruby
URL:        http://mechanize.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.3.3
BuildRequires: rubygem(nokogiri)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
The Mechanize library is used for automating interaction with websites. 
Mechanize automatically stores and sends cookies, follows redirects,
can follow links, and submit forms.  Form fields can be populated and
submitted.  Mechanize also keeps track of the sites that you have visited as
a history.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/EXAMPLES.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/FAQ.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/GUIDE.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Wed Feb 09 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 49416
- imported package ruby-mechanize


* Wed Feb 09 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-1
- Initial package
